function b = expandedPlot(d, c, w, t)
maxs = max(d);
mins = min(d);
steps = (maxs - mins) / 1000;
x = zeros(1001,1001);
y = zeros(1001,1001);
z = zeros(1001,1001);

for i = 0:1000
    for j = 0:1000
    xt = steps(1) * i + mins(1);
    yt = steps(2) * j + mins(2);
    x(i+1, j+1) = xt;
    y(i+1, j+1) = yt;
    z(i+1, j+1) = sign(sum([xt,yt,xt*xt,xt*yt,yt*yt]*w-t));
    end
end
z(1001, 1001) = -1;

contour(x, y, z, 1, 'k');
hold on
i = find(c == -1);
scatter(d(i,1), d(i,2), 'r+')
i = find(c == 1);
scatter(d(i,1), d(i,2), 'b+')
hold off
end